Debian Bug report logs - #693070
ITP: easy-rsa -- Simple shell based CA utility

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Alberto Gonzalez Iniesta <agi@inittab.org>

Date: Mon, 12 Nov 2012 17:06:01 UTC

Owned by: Alberto Gonzalez Iniesta <agi@inittab.org>

Severity: wishlist

Fixed in version easy-rsa/2.2.0-1

Done: Alberto Gonzalez Iniesta <agi@inittab.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#693070; Package wnpp. (Mon, 12 Nov 2012 17:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alberto Gonzalez Iniesta <agi@inittab.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 12 Nov 2012 17:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alberto Gonzalez Iniesta <agi@inittab.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: easy-rsa -- Simple shell based CA utility
Date: Mon, 12 Nov 2012 18:03:34 +0100
Package: wnpp
Severity: wishlist
Owner: Alberto Gonzalez Iniesta <agi@inittab.org>

* Package name    : easy-rsa
  Version         : 2.2.0
  Upstream Author : OpenVPN Technologies, Inc. <sales@openvpn.net>
* URL             : https://community.openvpn.net/openvpn
* License         : GPL-2
  Programming Lang: Shell
  Description     : Simple shell based CA utility

This package eases the creation of certificates, for example for
openvpn clients.
.
This was formerly part of the openvpn package.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alberto Gonzalez Iniesta <agi@inittab.org>:
Bug#693070; Package wnpp. (Mon, 12 Nov 2012 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantin Khomoutov <flatworm@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alberto Gonzalez Iniesta <agi@inittab.org>. (Mon, 12 Nov 2012 17:39:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Konstantin Khomoutov <flatworm@users.sourceforge.net>
To: Alberto Gonzalez Iniesta <agi@inittab.org>, 693070@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#693070: ITP: easy-rsa -- Simple shell based CA utility
Date: Mon, 12 Nov 2012 21:37:39 +0400
On Mon, 12 Nov 2012 18:03:34 +0100
Alberto Gonzalez Iniesta <agi@inittab.org> wrote:

> Package: wnpp
> Severity: wishlist
> Owner: Alberto Gonzalez Iniesta <agi@inittab.org>
> 
> * Package name    : easy-rsa
>   Version         : 2.2.0
>   Upstream Author : OpenVPN Technologies, Inc. <sales@openvpn.net>
> * URL             : https://community.openvpn.net/openvpn
I doubt that "sales" does really represent those developers behind the
easy-rsa software.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alberto Gonzalez Iniesta <agi@inittab.org>:
Bug#693070; Package wnpp. (Mon, 12 Nov 2012 17:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantin Khomoutov <flatworm@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alberto Gonzalez Iniesta <agi@inittab.org>. (Mon, 12 Nov 2012 17:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#693070; Package wnpp. (Mon, 12 Nov 2012 17:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alberto Gonzalez Iniesta <agi@inittab.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 12 Nov 2012 17:57:07 GMT) Full text and rfc822 format available.

Message #20 received at 693070@bugs.debian.org (full text, mbox):

From: Alberto Gonzalez Iniesta <agi@inittab.org>
To: Konstantin Khomoutov <flatworm@users.sourceforge.net>, 693070@bugs.debian.org
Subject: Re: Bug#693070: ITP: easy-rsa -- Simple shell based CA utility
Date: Mon, 12 Nov 2012 18:44:24 +0100
On Mon, Nov 12, 2012 at 09:37:39PM +0400, Konstantin Khomoutov wrote:
> On Mon, 12 Nov 2012 18:03:34 +0100
> Alberto Gonzalez Iniesta <agi@inittab.org> wrote:
> 
> > Package: wnpp
> > Severity: wishlist
> > Owner: Alberto Gonzalez Iniesta <agi@inittab.org>
> > 
> > * Package name    : easy-rsa
> >   Version         : 2.2.0
> >   Upstream Author : OpenVPN Technologies, Inc. <sales@openvpn.net>
> > * URL             : https://community.openvpn.net/openvpn
> I doubt that "sales" does really represent those developers behind the
> easy-rsa software.

Well, it's the address in the copyright. You may want to talk to the
developers into changing that.

-- 
Alberto Gonzalez Iniesta    | Formación, consultoría y soporte técnico
agi@(inittab.org|debian.org)| en GNU/Linux y software libre
Encrypted mail preferred    | http://inittab.com

Key fingerprint = 9782 04E7 2B75 405C F5E9  0C81 C514 AF8E 4BA4 01C3



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 12 Nov 2012 19:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alberto Gonzalez Iniesta <agi@inittab.org>:
Bug#693070; Package wnpp. (Tue, 13 Nov 2012 09:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tötterman <paul.totterman@iki.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alberto Gonzalez Iniesta <agi@inittab.org>. (Tue, 13 Nov 2012 09:27:06 GMT) Full text and rfc822 format available.

Message #27 received at 693070@bugs.debian.org (full text, mbox):

From: Paul Tötterman <paul.totterman@iki.fi>
To: 693070@bugs.debian.org
Subject: Re: Bug#693070: ITP: easy-rsa -- Simple shell based CA utility
Date: Tue, 13 Nov 2012 11:24:17 +0200
Please consider the patch that adds subjectAltName support to
easy-rsa: http://www.msquared.id.au/articles/easy-rsa-subjectaltname/

Cheers,
Paul



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#693070; Package wnpp. (Tue, 13 Nov 2012 09:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alberto Gonzalez Iniesta <agi@inittab.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 13 Nov 2012 09:39:06 GMT) Full text and rfc822 format available.

Message #32 received at 693070@bugs.debian.org (full text, mbox):

From: Alberto Gonzalez Iniesta <agi@inittab.org>
To: Paul Tötterman <paul.totterman@iki.fi>, 693070@bugs.debian.org
Subject: Re: Bug#693070: ITP: easy-rsa -- Simple shell based CA utility
Date: Tue, 13 Nov 2012 10:35:17 +0100
On Tue, Nov 13, 2012 at 11:24:17AM +0200, Paul Tötterman wrote:
> Please consider the patch that adds subjectAltName support to
> easy-rsa: http://www.msquared.id.au/articles/easy-rsa-subjectaltname/

I will. Thanks for the pointer!

-- 
Alberto Gonzalez Iniesta    | Formación, consultoría y soporte técnico
agi@(inittab.org|debian.org)| en GNU/Linux y software libre
Encrypted mail preferred    | http://inittab.com

Key fingerprint = 9782 04E7 2B75 405C F5E9  0C81 C514 AF8E 4BA4 01C3



Reply sent to Alberto Gonzalez Iniesta <agi@inittab.org>:
You have taken responsibility. (Sat, 17 Nov 2012 11:03:28 GMT) Full text and rfc822 format available.

Notification sent to Alberto Gonzalez Iniesta <agi@inittab.org>:
Bug acknowledged by developer. (Sat, 17 Nov 2012 11:03:28 GMT) Full text and rfc822 format available.

Message #37 received at 693070-close@bugs.debian.org (full text, mbox):

From: Alberto Gonzalez Iniesta <agi@inittab.org>
To: 693070-close@bugs.debian.org
Subject: Bug#693070: fixed in easy-rsa 2.2.0-1
Date: Sat, 17 Nov 2012 11:00:11 +0000
Source: easy-rsa
Source-Version: 2.2.0-1

We believe that the bug you reported is fixed in the latest version of
easy-rsa, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693070@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alberto Gonzalez Iniesta <agi@inittab.org> (supplier of updated easy-rsa package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 06 Nov 2012 13:43:50 +0100
Source: easy-rsa
Binary: easy-rsa
Architecture: source all
Version: 2.2.0-1
Distribution: unstable
Urgency: low
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Changed-By: Alberto Gonzalez Iniesta <agi@inittab.org>
Description: 
 easy-rsa   - Simple shell based CA utility
Closes: 693070
Changes: 
 easy-rsa (2.2.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #693070)
   * Create make-cadir, to simplify the use of easy-rsa in Debian.
Checksums-Sha1: 
 bacee2006e3939a539b00bc833638df382184c34 1090 easy-rsa_2.2.0-1.dsc
 1c737b0c4352841b0889bd98a4a4a02e3b3294b7 82192 easy-rsa_2.2.0.orig.tar.gz
 70a18ecbad1affe43b4fb1a1d6a0f21717aba0f0 2260 easy-rsa_2.2.0-1.debian.tar.gz
 d3d8f78ae1b074a265a2df21df957100eb063afa 28496 easy-rsa_2.2.0-1_all.deb
Checksums-Sha256: 
 31ddd54d6cfe975325eb115f61b7857d98173bc7f1ccfdb0dac9b82f5f8bc41a 1090 easy-rsa_2.2.0-1.dsc
 3cf0febee5ded041d5f812f55c940f397ca75a7c9ef21f2e7f7de714b62f09a2 82192 easy-rsa_2.2.0.orig.tar.gz
 353460ced38a2adcec3d03f578f7be0201b10bd6b5ca8c3b6e1f560950e13834 2260 easy-rsa_2.2.0-1.debian.tar.gz
 3f66e2247565e73f8e6b66af13874e0e28de4010ad8a32dd0c31ce4396cdb399 28496 easy-rsa_2.2.0-1_all.deb
Files: 
 17a81b00d9ba21f913917a95bfdc8e90 1090 utils extra easy-rsa_2.2.0-1.dsc
 3ba02580a012b61c00b367c9b32d0986 82192 utils extra easy-rsa_2.2.0.orig.tar.gz
 e3b7a51b3f8e35d64217c5553d6022e9 2260 utils extra easy-rsa_2.2.0-1.debian.tar.gz
 e0cd34866ab2ba7f99f6a6a6728f388e 28496 utils extra easy-rsa_2.2.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlChLpEACgkQxRSvjkukAcOLegCgpafqu0Z/XT8tb4YqOBPgpIfx
8JQAoLtb6aa22J1cG7dp5O8GlDTGBUyF
=mGLV
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Dec 2012 07:28:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:32:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.